Subject: Re: bug#62994: [PATCH v5] Add support for colored and styled underlines on tty frames

From: Eli Zaretskii <[email-masked]>
Date: Sun, 10 Mar 2024 21:28:56 +0200

> Date: Sun, 10 Mar 2024 11:51:51 -0700
> Cc: [email-masked], [email-masked]
> From: Jim Porter <[email-masked]>
> 
> On 3/10/2024 11:22 AM, Mohsin Kaleem wrote:
> > Eli Zaretskii <[email-masked]> writes:
> > 
> >> The "+++" thingy means the manuals were updated for this change, which
> >> is why Po Lu asked where are those updates.
> > 
> > I see, does --- have a similar alternate meaning or can I just replace
> > the pluses with minuses?
> 
> "---" means there's no need to update the manuals for that change in NEWS.
> 
> >> Not absolutely necessary, but very much preferred.  It is unheard of
> >> in Emacs to have some face attribute that is supported on TTY frames
> >> but not on GUI frames.
> > 
> > I see. If a blocker I'm happy to remove the extra underline styles? I'm
> > not sure how long it would take me to add GUI support and as I don't use
> > the GUI I'd be unlikely to prioritise it any time soon.
> 
> If someone points me in the right direction, I could take a look (I'd 
> particularly like to use the dotted underlines in GUI frames). It'll 
> probably be a couple weeks at least until I could work on it though.

Thanks.  I'm not sure I understand where you want to be directed.  Is
it to the code which implements underwave on GUI frames? something
else?